Subject: Re: 2 copies of perl includes?
From: "Max Bowsher" <[email-masked]>
To: "linda w \(cyg\)" <[email-masked]>, <[email-masked]>
Cc: "'Greg Matheson'" <[email-masked]>
Date: Tue, 31 Dec 2002 01:04:20 -0000

linda w (cyg) wrote:
> Thanks for the datapoint Greg...
>
> On my system, the copies can be accessed by /usr/lib, as well,  since
> 'mount', on cygwin, returns (among other things):
>
> C:\root\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type
> system (binmode)
> C:\root\bin on /usr/bin type system (binmode)
> C:\root\lib on /usr/lib type system (binmode)
>
> ---
> Seems like distinctions between bin&usr-bin and lib&usr-lib are a bit
> non existant.

Yes.

> The /usr/lib, /lib difference is a red-herring.
>
> It's the duplication of content in the 5.6.1 and 5.6.1/cygwin-multi
> that I'm finding a bit odd.
>
> 5.8?  Is that available in cygwin-x86?  I don't recall it being an
> option on recent downloads, but I may have missed it.  I do have it
> on my gnunix systems though.

As a test version. It will show in the click through list, but hasn't yet
been promoted to curr, so presumably there are a few buglets left.

> I'm also not quite clear on the purpose of the 1st mount as it seems
> to mount on top of itself unlike the second 2 mounts.

To force binary mode, in case the root mounts are textmode.

>>> I was searching for a perl module.   "Locate" turned up 2 copies in:
>>
>>> /lib/perl/5.6.1 and /lib/perl/5.6.1/cygwin-multi

You may verify that they are indeed both included in the Cygwin perl
package, by looking in /etc/setup/perl.lst.gz.

I do not know the reason for the duplication.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/